package com.bonus.canteen.core.drp.po;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.time.LocalDateTime;

@ApiModel
public class LeastPriceAndDateModel {
   @ApiModelProperty("货品id")
   private Long materialId;
   @ApiModelProperty("单位id")
   private Long unitId;
   @ApiModelProperty("最近进价")
   private Integer leastIntoPrice;
   @ApiModelProperty("最近入库时间")
   private LocalDateTime leastIntoDate;
   @ApiModelProperty("月度均价")
   private Integer monthAvgPrice;
   @ApiModelProperty("换算比例(g)")
   private Integer rate;

   public Long getMaterialId() {
      return this.materialId;
   }

   public Long getUnitId() {
      return this.unitId;
   }

   public Integer getLeastIntoPrice() {
      return this.leastIntoPrice;
   }

   public LocalDateTime getLeastIntoDate() {
      return this.leastIntoDate;
   }

   public Integer getMonthAvgPrice() {
      return this.monthAvgPrice;
   }

   public Integer getRate() {
      return this.rate;
   }

   public void setMaterialId(final Long materialId) {
      this.materialId = materialId;
   }

   public void setUnitId(final Long unitId) {
      this.unitId = unitId;
   }

   public void setLeastIntoPrice(final Integer leastIntoPrice) {
      this.leastIntoPrice = leastIntoPrice;
   }

   public void setLeastIntoDate(final LocalDateTime leastIntoDate) {
      this.leastIntoDate = leastIntoDate;
   }

   public void setMonthAvgPrice(final Integer monthAvgPrice) {
      this.monthAvgPrice = monthAvgPrice;
   }

   public void setRate(final Integer rate) {
      this.rate = rate;
   }

}
